%define major	1
%define libname	%mklibname opencl %{major}
%define devname	%mklibname opencl -d
%define icddevname %mklibname ocl-icd -d

Summary:	OpenCL ICL Loader
Name:		ocl-icd
Version:	2.1.0
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		https://forge.imag.fr/projects/ocl-icd/
# make sure to update number after download.php or you will get incorrect file
Source:		http://forge.imag.fr/frs/download.php/508/%{name}-%{version}.tar.gz
BuildRequires:	opencl-headers
BuildRequires:	ruby

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%package -n	%{libname}
Summary:	OpenCL ICL Loader
Group:		System/Libraries

%description -n	%{libname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides an Installable Client Driver loader (ICD Loader).
The provided libOpenCL library is able to load any free or non-free installed
ICD (driver backend).

%package -n	%{devname}
Summary:	OpenCL development files
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	opencl-headers
Provides:	opencl-devel = %{version}-%{release}

%description -n	%{devname}
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the files needed to compile software that uses
OpenCL.

%package -n	%{icddevname}
Summary:	ocl-icd development files
Group:		Development/C
Requires:	%{devname} = %{version}-%{release}
Provides:	ocl-icd-devel = %{version}-%{release}

%description -n	%{icddevname}
This package provides the files needed to build OpenCL client drivers that
use ocl-icd for ICL functionality.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -delete

rm -rf instdocs
mv %{buildroot}%{_docdir}/%{name} instdocs

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc README
%{_libdir}/libOpenCL.so.%{major}*

%files -n %{devname}
%doc README NEWS COPYING
%{_libdir}/libOpenCL.so
%{_libdir}/pkgconfig/OpenCL.pc

%files -n %{icddevname}
%doc README NEWS COPYING
%doc instdocs/*
%{_includedir}/ocl_icd.h
%{_libdir}/pkgconfig/ocl-icd.pc


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 538931
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 2.1.0-1.mga4
+ Revision: 491136
- 2.1.0

* Sat Sep 07 2013 luigiwalser <luigiwalser> 2.0.4-1.mga4
+ Revision: 475643
- 2.0.4

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 361774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 2.0.1-1.mga3
+ Revision: 343637
- new version 2.0.1
- drop missing-include patch, fixed upstream

* Sun Aug 05 2012 anssi <anssi> 1.3-1.mga3
+ Revision: 278559
- add missing include (Add-missing-include-in-ocl_icd_debug.h.patch)
- initial Mageia package release

